using System;
using System.Text;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples
{
    public partial class AddAPopup : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                Map1.MapTools.OverlaySwitcher.Enabled = true;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
        }

        protected void UpdatePanelExceptionsGridView_Load(object sender, EventArgs e)
        {
            if (Request["__EVENTARGUMENT"] == "PopupClosed")
            {
                GridViewData.SelectedIndex = -1;
                Map1.Popups.Clear();
            }
        } // end UpdatePanelExceptionsGridView_Load

        protected void Map1_Click(object sender, EventArgs e)
        {
            //if (!Map1.Popups.Contains("samplePopup"))
            //{
            Random random = new Random();

            PointShape position = new PointShape(-95.28109 + random.NextDouble() * 10, 38.95363 + random.NextDouble() * 10);
                StringBuilder contentHtml = new StringBuilder();

                contentHtml.Append("<div style='padding:10px; font-size:10px; font-family:verdana;'>&nbsp;&nbsp;Lawrence is a city in Northeastern Kansas")
                    .Append("in the United States. Lawrence serves as the county seat of Douglas County, Kansas. Located 41 miles west ")
                    .Append("of Kansas City, Lawrence is situated along the banks of the Kansas (Kaw) and Wakarusa Rivers. It is considered ")
                    .Append("governmentally independent and is the principal city within the Lawrence, Kansas, Metropolitan Statistical Area, ")
                    .Append("which encompasses all of Douglas County. As of the 2000 census, the city had a population of 80,098, making it ")
                    .Append("the sixth largest city in Kansas. 2006 estimates[3] place the city's population at 89,110. A quintessential")
                    .Append("college town, Lawrence is home to The University of Kansas and Haskell Indian Nations University.<br/>")
                    .Append("&nbsp;&nbsp;<a href='http://en.wikipedia.org/wiki/Lawrence%2C_Kansas' ")
                    .Append("target='_blank'><br/>more about Lawrence city...</a></div>");


                CloudPopup samplePopup = new CloudPopup(Guid.NewGuid().ToString(), position, contentHtml.ToString(), 400, 290);
                samplePopup.AutoSize = true;
                samplePopup.AutoPan = true;
                samplePopup.HasCloseButton = true;
                Map1.Popups.Add(samplePopup);
            //}
            //else
            //{
            //    Map1.Popups["samplePopup"].IsVisible = true;
            //}
        }
    }
}